Bug 1974644 - Key bindings in Gblame window stopped working
Summary: Key bindings in Gblame window stopped working
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vim-fugitive
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carl George 🤠
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-22 08:43 UTC by Marek Blaha
Modified: 2021-07-15 01:06 UTC (History)
4 users (show)

Fixed In Version: vim-fugitive-3.3^1.4cdeff8-1.fc35 vim-fugitive-3.3^1.4cdeff8-1.fc34 vim-fugitive-3.3^1.4cdeff8-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-11 21:48:14 UTC
Type: Bug


Attachments (Terms of Use)

Description Marek Blaha 2021-06-22 08:43:53 UTC
Description of problem:

After upgrade to vim-fugitive-0:3.3-1.fc33.noarch, some of the key bindings in :Gblame window are not working any more. The resizing (A, D, C) is still working but I'm not able to open a commit (o, O, <CR>). All I get is an error message in vim status line:
E21: Cannot make changes, 'modifiable' is off

When I uninstall the distribution version of vim-fugitive and install the plugin locally to ~/.vim/pack, everything works. Also older vim-fugitive-0:3.0-3.fc33.noarch works just fine.

Version-Release number of selected component (if applicable):
vim-fugitive-0:3.3-1.fc33.noarch
vim-enhanced-8.2.2875-1.fc33.x86_64

How reproducible:
always

Steps to Reproduce:
1. open source file
2. run :Gblame command
3. try to open any of commits (o)

Actual results:
o, O, p, <CR> key  bindings to open a patch are not working


Expected results:
I'm able to open the patch using key  bindings

Comment 1 Pavel Hrdina 2021-07-07 13:21:34 UTC
Upstream commit https://github.com/tpope/vim-fugitive/commit/b2195e7690a9c6b5cd7267f34f85700868c43fde introduced new file ftplugin/fugitiveblame.vim but the fedora vim-fugitive.spec file doesn't install it. With the file installed correctly key bindings works again.

Comment 2 Fedora Update System 2021-07-11 21:46:31 UTC
FEDORA-2021-47ab76b4de has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-47ab76b4de

Comment 3 Fedora Update System 2021-07-11 21:48:14 UTC
FEDORA-2021-47ab76b4de has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Fedora Update System 2021-07-11 22:00:27 UTC
FEDORA-2021-ac0a320051 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ac0a320051

Comment 5 Fedora Update System 2021-07-11 22:00:28 UTC
FEDORA-2021-f15c16ee20 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f15c16ee20

Comment 6 Fedora Update System 2021-07-12 00:30:24 UTC
FEDORA-2021-ac0a320051 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-ac0a320051`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ac0a320051

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-07-12 00:37:28 UTC
FEDORA-2021-f15c16ee20 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f15c16ee20`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f15c16ee20

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Dr. David Alan Gilbert 2021-07-14 08:34:59 UTC
Thanks! That does fix it on f34 for me; it *also* fixes :

line  527: E1208: -complete used without -nargsline  528: E1208: -complete used without -nargsline  532: E1208: -complete used without -nargsline  536: E1208: -complete used without -nargsPress ENTER or type command to continue

which f34 started moaning about after todays base vim upgrade ( vim-minimal-8.2.3154-1.fc34.x86_64 )

Comment 9 Fedora Update System 2021-07-15 01:04:36 UTC
FEDORA-2021-f15c16ee20 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2021-07-15 01:06:17 UTC
FEDORA-2021-ac0a320051 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.